<template>
    <v-sheet class="mx-auto" max-width="1000">
        <v-slide-group show-arrows>
            <v-slide-group-item>
                <v-btn :to="{ path: '/sirisak/workshop1'}" >workshop1</v-btn>
                <v-btn :to="{ path: '/sirisak/workshop2' }" >workshop2</v-btn>
            </v-slide-group-item>
        </v-slide-group>
    </v-sheet>
    <v-container>
        <div class="dashboard">
            <div class="profile">
                <h2>Good Morning</h2>
                <p>{{ storedName }} 🌞</p>
            </div>
        </div>
    </v-container>
    <v-container class=" rounded-lg ">
        <v-avatar class="senter" image="https://shorturl.asia/XLGA4" size="89"></v-avatar>
        <v-row no-gutters>
            <h1 class="text">ชื่อเล่น {{ mname }} </h1>

        </v-row>

        <v-row no-gutters class="dashboard">
            <v-col>
                <v-card class="pa-2 ma-2 " max-width="344" elevation="16" prepend-icon="mdi-domain">
                    <v-card-item>
                        <v-card-title>
                            ประวัติส่วนตัว
                        </v-card-title>

                    </v-card-item>

                    <v-card-text>
                        เกิดวันที่:{{ birthday }}
                        อายุ:{{ age }}
                        เบอร์โทรศัพท์:{{ phone }}
                        Email:{{ email }}
                        ที่อยู่:{{ address }}

                    </v-card-text>
                </v-card>
            </v-col>

            <v-col>

                <v-card class="pa-2 ma-2 " max-width="344" elevation="16" prepend-icon="mdi-arrow-up-bold-box-outline">
                    <v-card-item>
                        <v-card-title>
                            Skill title
                        </v-card-title>
                    </v-card-item>
                    <v-card-text style="display: flex; flex-direction: column;">
                        <div>1.{{ code.H }}</div>
                        <div>2.{{ code.c }}</div>
                        <div>3.{{ code.ja }}</div>
                        <div>4.{{ code.v }}</div>
                    </v-card-text>
                </v-card>
            </v-col>

            <v-col>
                <v-card class="pa-2 ma-2 " max-width="344" elevation="15" prepend-icon="mdi-trophy">
                    <v-card-item>
                        <v-card-title class="">
                            Hobby
                        </v-card-title>

                    </v-card-item>

                    <v-card-text>
                        <div>1.{{ hobby[1] }}</div>
                        <div>2.{{ hobby[2] }}</div>
                        <div>3.{{ hobby[3] }}</div>
                        <div>4.{{ hobby[4] }}</div>
                    </v-card-text>
                </v-card>
            </v-col>
        </v-row>

        <v-row no-gutters class="dashboard">
            <v-col cols="12">
                <v-card color="#ffffff" theme="dark">
                    <div class="d-flex flex-no-wrap justify-space-between">
                        <div>
                            <v-card-title class="text-h5">
                                นักร้องที่ชอบ
                            </v-card-title>

                            <v-card-subtitle>Post malone</v-card-subtitle>

                            <v-card-actions>
                                <v-btn class="ms-2" icon="mdi-play" variant="text"></v-btn>
                            </v-card-actions>
                        </div>

                        <v-avatar class="ma-3" size="125" rounded="0">
                            <v-img
                                src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRj3IoDGvkeOFLGuM5Ra5-tHQaREDOMX7uDHodPxYIQbw&s"></v-img>
                        </v-avatar>
                    </div>
                </v-card>
            </v-col>
        </v-row>


    </v-container>
</template>

<script>

export default {
    name: 'cv',
    data() {
        return {
            storedName: '',// กำหนดตัวแปรที่จะใช้เก็บข้อมูลจาก Local Storage
            name: 'sirisak',
            lname: 'buddee',
            mname: 'Ball',
            age: '22',
            address: "บ้านเลขที่ 229 หมู่ 4 บ้านหนองหลุบ อ.เมือง จ.ขอนแก่น 400000",
            phone: "0987654321",
            email: "sirisak.bd@ac.th",
            birthday: "23/07/2001",
            hobby: ['', 'นั่งดูหนังและอนิเมะ', 'เล่นเกมแนววางแผน', 'อ่านหนังสือ', 'ทำอาหารและของหวาน'],
            code: { H: 'Html', c: 'css', v: 'vue.js', ja: 'JavaScript' }

        }
    },

    mounted() {
        // ดึงค่าที่เก็บไว้ใน Local Storage และกำหนดให้กับตัวแปรใน data()
        const storedName = localStorage.getItem('editedName');
        if (storedName) {
            this.storedName = storedName;
        }
    },
    methods: {
        goToWorkshop(workshop) {
            this.$router.push({ path: workshop });
        },

    },
}
</script>
<style lang="css" scoped>
.text {
    font-size: 35px;
    line-height: 1.12857143;
    font-weight: 300;
    text-align: left;
    color: #000000;
    margin: 1;
    padding: 0;
}

.dashboard {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;

}

.dashboard>div {
    background-color: #fff;
    border: .4rem solid #5a4545;
    border-radius: 1rem;
    margin: 2rem;
    padding: 1rem;
    min-width: 17rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: left;
    font-size: 24px;
}

.dashboard>div:nth-child(3n-1) {
    box-shadow: 1rem 1rem #f0f;
    /* การกำหนด box-shadow ให้ถูกต้อง */
}

.dashboard>div:nth-child(3n-2) {
    box-shadow: 1rem 1rem rgb(255, 255, 165);
    /* การกำหนด box-shadow ให้ถูกต้อง */
}

.dashboard>div:nth-child(3n-3) {
    box-shadow: 1rem 1rem #0FF;
    /* การกำหนด box-shadow ให้ถูกต้อง */
}

.profile {
    width: 77vw;
}
</style>